# Get calls

`POST https://www.getrevox.com/api/call/search`

Retrieve a paginated list of call attempts. Each entry includes the call status, phone number, assistant used, transcript, and timestamps. Use the page and page_size query parameters to navigate through results.

## Request body (JSON)

- `query` (string, optional)
- `statuses` (array of enum (string), required): Default: `[]`.
- `directions` (array of enum (string), required): Default: `[]`.
- `results` (array of enum (string), required): Default: `[]`.
- `outcomes` (array of enum (string), required): Default: `[]`.
- `assistant_ids` (array of string, required): Default: `[]`.
- `campaign_ids` (array of string, required): Default: `[]`.
- `from_phone_numbers` (array of string, required): Default: `[]`.
- `assignee_ids` (array of one of, required): Default: `[]`.
  - One of, **string** (string)
  - One of, **string** (string (constant))
- `variables` (array of object, optional)
  - `key` (string, required)
  - `value` (string, required)
- `to_phone_number` (string, optional)
- `call_ids` (array of string, optional)
- `page` (integer, required): Constraints: min 1, max 9007199254740991. Default: `1`.
- `page_size` (integer, required): Constraints: min 1, max 100. Default: `50`.
- `sort_by` (string, optional)
- `sort_direction` (enum (string), optional): One of: `asc`, `desc`.

## Example request

```bash
curl -X POST https://www.getrevox.com/api/call/search \
  -H "Authorization: Bearer $REVOX_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "statuses": [],
    "directions": [],
    "results": [],
    "outcomes": [],
    "assistant_ids": [],
    "campaign_ids": [],
    "from_phone_numbers": [],
    "assignee_ids": [],
    "page": 1,
    "page_size": 50
  }'
```

## Responses

### 200: Success

- `calls` (array of [Call](https://www.getrevox.com/docs/api/objects/call.md), required)
- `total_count` (number, required)